#include <Prs2d_Dimension.ixx>

Prs2d_Dimension::Prs2d_Dimension( const Handle(Graphic2d_GraphicObject)& aGO,
                                  const TCollection_ExtendedString& aText,
                                  const Standard_Real aTxtScale,
                                  const Standard_Real anArrAngle,
                                  const Standard_Real anArrLength,
                                  const Prs2d_TypeOfArrow anArrType,
                                  const Prs2d_ArrowSide anArrow,
                                  const Standard_Boolean IsRevArrow ) 
   :  Graphic2d_Line( aGO ),
      myText( aText ),
      myTextScale( aTxtScale ),
      myTextFont( 0 ),
      myTextPosH( 0 ),
      myTextPosV( 0 ),
      myTextAngle( 0 ), 
      myAbsX( 0 ),
      myAbsY( 0 ),
      myAbsAngle( 0 ), 
      mySymbFont( 0 ),
      myXVert1( 1, 3 ),
      myYVert1( 1, 3 ),
      myXVert2( 1, 3 ),
      myYVert2( 1, 3 ),
      myArrType( anArrType ),
      myArrow( anArrow ),
      myArrowAng( anArrAngle ),
      myArrowLen( anArrLength ),
      myIsRevArr( IsRevArrow ),
      myIsSymbol( Standard_False ),
      mySymbCode( 248 )

{
}
